class Thermostat
  attr_accessor :current_value
  attr_accessor :wanted_value
  attr_accessor :range
  attr_accessor :airco
  attr_accessor :heating

  def initialize(current_value = 0, wanted_value = 0, range = 0)
    @current_value = current_value
    @wanted_value = wanted_value
    @range = range
  end

  def check
    if @current_value < @wanted_value - @range
      heat
    elsif @current_value > @wanted_value + @range
      cool
    else
      normal
    end
  end

  def cool
    @airco = true
    @heating = false
  end

  def heat
    @airco = false
    @heating = true
  end

  def normal
    @airco = false
    @heating = false
  end
end
